import TabScriptService from "./application/TabScriptService";
import ChromeBackgroundService from "./_infra/ChromeBackgroundMessageService";
import HandlerOfMessageSentByBackground from "./_ui/HandlerOfMessageSentByBackground";
import ViewManager from "./_ui/ViewManager";

console.log("AIFEX script is running.")

const backgroundService = new ChromeBackgroundService();
const tabScriptService = new TabScriptService(backgroundService);
const viewManager = new ViewManager(tabScriptService);
tabScriptService.linkToViewManager(viewManager);
const handler = new HandlerOfMessageSentByBackground(tabScriptService);
tabScriptService.synchronizeWithBackground();


    
    
//    eventListener.addNewActionCallback(() => styleApplication.onActionPushed);
